Exception::getFile
Exception::getTrace
Exception
PHP Manual

# Exception::getLine

(PHP 5 >= 5.1.0)

Exception::getLine — Récupère la ligne dans laquelle l'exception est survenue

### Description

final public string Exception::getLine ( void )

Retourne le numéro de la ligne où l'exception a été lancée.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Retourne le numéro de la ligne où l'exception a été lancée.

### Exemples

Exemple #1 Exemple avec Exception::getLine()

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo "L'exception a été lancée depuis la ligne : " . $e->getLine();
}
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    L'exception a été lanÃ§ée depuis la ligne : 3

Exception::getFile
Exception::getTrace
Exception
PHP Manual